| OGRE 1.11.1 Object-Oriented Graphics Rendering Engine

Public Member Functions | List of all members
Ogre::D3D11DriverList Class Reference

`#include <OgreD3D11DriverList.h>`

## Public Member Functions
| D3D11DriverList ()
| ~D3D11DriverList ()
void | clear ()
size_t | count () const
D3D11Driver * | findByName (const String &name)
D3D11Driver * | item (size_t index)
| does not include hidden drivers like NVPerfHUD More...
D3D11Driver * | item (const String &name)
void | refresh ()

## Constructor & Destructor Documentation

## ◆ D3D11DriverList()

Ogre::D3D11DriverList::D3D11DriverList | ( |  | ) |

## ◆ ~D3D11DriverList()

Ogre::D3D11DriverList::~D3D11DriverList | ( |  | ) |

## Member Function Documentation

## ◆ refresh()

void Ogre::D3D11DriverList::refresh | ( |  | ) |

## ◆ clear()

void Ogre::D3D11DriverList::clear | ( |  | ) |

## ◆ count()

size_t Ogre::D3D11DriverList::count | ( |  | ) | const

## ◆ item() [1/2]

D3D11Driver* Ogre::D3D11DriverList::item | ( | size_t | index | ) |

does not include hidden drivers like NVPerfHUD

## ◆ item() [2/2]

D3D11Driver* Ogre::D3D11DriverList::item | ( | const String & | name | ) |

## ◆ findByName()

D3D11Driver* Ogre::D3D11DriverList::findByName | ( | const String & | name | ) |

The documentation for this class was generated from the following file:

- OgreD3D11DriverList.h